<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta charset="utf-8">

		<title>TP2 de programmation Web</title>
	<script>
	function search()
	{
		var inputSearch = document.getElementById('searchString').value;
		httpRequest = new XMLHttpRequest();
		httpRequest.onreadystatechange = function()
		{
			if (httpRequest.status === 200 && httpRequest.readyState == 4)
			{
				var results = JSON.parse(httpRequest.responseText);
				var html;
				console.log(results[1]);
				for (var i = 0; i < results[1].length; i++) 
				{
					html += '<h4>'+results[1][i]+'</h4>';
					html += '<p>'+results[2][i]+'</p>';
					html += "<a href='"+results[3][i]+"'>"+results[3][i]+"</a>";
				}
				document.getElementById('result').innerHTML = html;
			}
		};
		httpRequest.open('GET', 'http://localhost:1234/api?action=opensearch&format=json&formatversion=2&search='+inputSearch+'&namespace=0&limit=10&suggest=true', true);
		httpRequest.send();
	}
	</script>
	</head>
	<body>
		<h1>TP2 de programmation Web</h1>
		<form>
			<input id="searchString" type="text"/>
			<button type="button" id="button" onclick="search();">Bouton</button>
		</form>
		<div id="result">
		</div>
	</body>
</html>
